{******************************************************}
{*                    ALB_DEF.PAS                     *}
{*               Astro Professional 1.2               *}
{*       Copyright (c) 1992-98, Albert Timashev       *}
{******************************************************}

Const
     { Planets -  }
     Sun        = 0;
     Moon       = 1;
     Mercury    = 2;
     Venus      = 3;
     Mars       = 4;
     Jupiter    = 5;
     Saturn     = 6;
     Uranus     = 7;
     Neptune    = 8;
     Pluto      = 9;
     Prozerpina = 10;
     Chiron     = 11;
     Rahu       = 12;
     Ketu       = 13;
     Lilit      = 14;
     Selena     = 15;

     Wakshya    = 16;
     Priap      = 17;
     Isida      = 18;
     Osiris     = 19;
     Anubis     = 20;
     Damoclus   = 21;
     Pholus     = 22;
     MeanSunApo = 23;
     SunApogee  = 24;
     TruthRahu  = 25;
     TruthKetu  = 26;
     Druj       = 27;
     Arta       = 28;
     Vulcan     = 29;

     FirstExtPlanetConst = Wakshya ;
     LastExtPlanetConst = Arta ;
Type
    PlanetsType = Sun..Selena;
    ExtPlanetsType = Sun..Vulcan;

    { Signs -  }
    SignType = ( Aries ,
                 Taurus ,
                 Gemini ,
                 Cancer ,
                 Leo ,
                 Virgo ,
                 Libra ,
                 Scorpio ,
                 Sagittarius ,
                 Capricorn ,
                 Aquarius ,
                 Pisces ) ;

    { Houses -  }
    HouseType = ( ASC ,
                   II ,
                  III ,
                   IC ,
                    V ,
                   VI ,
                  DSC ,
                  VIII,
                   IX ,
                   MC ,
                   XI ,
                  XII ) ;

    { House systems - ⥬  }
    HouseSystemType = ( Placidus       ,
                        RawnodomnayaMC ,
                        Dzamaspa       ,
                        Medical        ,
                        Porfiry        ,
                        RawnodomnayaASC,
                        Meridiannaya   ,
                        Regiomontana   ) ;

    { Horoscope types -  ᪮ }
    HoroTypeType = ( BirthHoro ,
                     ZachatieHoro ,
                     TurnOnDuhHoro,
                     WechnostHoro ,
                     DeathHoro ,
                     ReturnHoro ,
                     TranzitHoro ) ;

    { Zodiac styles -   }
    ZodiacType = ( SunZodiac,
                   MoonZodiac,
                   EcvatorZodiac,
                   HorizontZodiac,
                   GalacticZodiac,
                   VerticalZodiac );

    { Presisions - 筮 न }
    PresisionType = ( Gradus , Minute , Second ) ;

    Date = LongInt; { Julian date - ᪠  }
    Time = LongInt; { Time in seconds - ६  ᥪ㭤 }
    DateStyle = ( OldStyle, NewStyle ); { Julian or Grigorian date -
                                            ஬    ⨫ }
    TimeStyle = ( GrinvichTime, PlaceTime, ZoneTime ); { Time style -
                                                          ६ }
    MovementType = ( Straight , Direct , Retrograde ) ; { Planet direction -
                                                            }
    MyStr = String [ 64 ];
    PassType = Array [ 1..32 ] of Char ;
    MainMarkerType = Array [ 1..6 ] of Char ;

    { Long and Lat -    }
    LonLatType = Record
                    Absolute : Double;
                    Pres : PresisionType;
                 End ;
    { Planet coordinate - न  }
    PlaceType = Record
                  Absolute : Double ;
                  Delta : Double ;
                  Movem : MovementType ;
                  Pres : PresisionType ;
                End ;
    { Planet coordinates - न  }
    PlanetPlaceType = Record
                        Place : Array [ ExtPlanetsType ] of PlaceType ;
                        InUse : Set of FirstExtPlanetConst..LastExtPlanetConst ;
                      End ;
    { House cuspid - ࠭  }
    HPlaceType = Record
                   Absolute : Double ;
                   Pres : PresisionType ;
                 End ;
    { House cuspids - ࠭  }
    HousePlaceType = Array [ HouseType ] of HPlaceType ;

    {  ⥪ ALB }
    LibHeaderType = Record
                      Marker : MainMarkerType ;
                      PassLen : Byte ;
                      BossPassLen : Byte ;
                      Who : MyStr ;
                      Name : MyStr ;
                      Info : MyStr ;
                      BossPass : PassType ;
                      Pass : PassType ;
                    End ;
    {  ⥪ ALB }
    LibRecordType = Record
                      Name : MyStr ;
                      Date : Date ;
                      DateSt : DateStyle;
                      Time : Time ;
                      TimeOn : TimeStyle;
                      SideTime : Double; { Sidereal time -  ६ }
                      Place : MyStr ; {   }
                      Lat , Lon : LonLatType ;
                      DeltaN : Integer; { ࠧ  ਭ祬 }
                      Info : MyStr ; { . ଠ }
                      PlanetPlace : PlanetPlaceType ;
                      Horoscope : Boolean ;
                      HoroType : HoroTypeType ;
                      Zodiac : ZodiacType ;
                      HousePlace : HousePlaceType ;
                      HouseSystem : HouseSystemType ;
                      HeIsMan : Boolean ; {  㦨? }
                    End ;

Var ALB_header : LibHeaderType;
    ALB_record : LibRecordType;
Begin
End .
